Skip to main content
PATCH
Spree Admin SDK

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Stock transfer ID

Response

200 - application/json

transfer is ready to ship

id
string
required
number
string
required
reference
string | null
required
created_at
string
required
updated_at
string
required
source_location_id
string
required
destination_location_id
string
required
status
required

The values listed are the built-in ones; extensions may add more.

Available options:
draft,
ready_to_ship,
in_transit,
partially_received,
received,
over_received,
canceled
notes
string | null
required
metadata
object
required
close_reason
string | null
required
items_count
number
required
quantity_received_total
number
required
quantity_rejected_total
number
required
shipped_at
string | null
required
received_at
string | null
required
closed_short_at
string | null
required
deleted_at
string | null
required
closed_short
boolean
required
quantity_shipped_total
number
required
editable
boolean
required
items
object[]
stock_receipts
object[]
source_location
object
destination_location
object